@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&family=Shrikhand&display=swap");
/*classes générales*/
.flex-row {
  display: flex;
  flex-direction: row;
}

.flex-column {
  display: flex;
  flex-direction: column;
}

.justify-between {
  display: flex;
  justify-content: space-between;
}

.justify-around {
  display: flex;
  justify-content: space-around;
}

.justify-center {
  display: flex;
  justify-content: center;
}

/*animation page menu*/
.card__1 {
  animation: anim_restaurant 450ms 70ms both;
}

.card__2 {
  animation: anim_restaurant 450ms 130ms both;
}

.card__3 {
  animation: anim_restaurant 450ms 190ms both;
}

.card__4 {
  animation: anim_restaurant 450ms 250ms both;
}

.card__5 {
  animation: anim_restaurant 450ms 310ms both;
}

.card__6 {
  animation: anim_restaurant 450ms 370ms both;
}

.card__7 {
  animation: anim_restaurant 450ms 430ms both;
}

.card__8 {
  animation: anim_restaurant 450ms 490ms both;
}

.card__9 {
  animation: anim_restaurant 450ms 550ms both;
}

.card__10 {
  animation: anim_restaurant 450ms 610ms both;
}

/*animation loader cookie à modifier*/
.loader__cookie--1 {
  background-image: url(/openclassrooms/williambianco_3_06052021/images/logo/ohmyfood--1.png);
  background-repeat: no-repeat;
  width: 395px;
  height: 100px;
  position: absolute;
  animation: cookie-loader 500ms 500ms forwards;
  opacity: 0;
}

.loader__cookie--2 {
  background-image: url(/openclassrooms/williambianco_3_06052021/images/logo/ohmyfood--2.png);
  background-repeat: no-repeat;
  width: 395px;
  height: 100px;
  position: absolute;
  animation: cookie-loader 500ms 995ms forwards;
  opacity: 0;
}

.loader__cookie--3 {
  background-image: url(/openclassrooms/williambianco_3_06052021/images/logo/ohmyfood--3.png);
  background-repeat: no-repeat;
  width: 395px;
  height: 100px;
  position: absolute;
  animation: cookie-loader 500ms 1490ms forwards;
  opacity: 0;
}

.loader__cookie--4 {
  background-image: url(/openclassrooms/williambianco_3_06052021/images/logo/ohmyfood--4.png);
  background-repeat: no-repeat;
  width: 395px;
  height: 100px;
  position: absolute;
  animation: cookie-loader 500ms 1985ms forwards;
  opacity: 0;
}

.loader__cookie--5 {
  background-image: url(/openclassrooms/williambianco_3_06052021/images/logo/ohmyfood--5.png);
  background-repeat: no-repeat;
  width: 395px;
  height: 100px;
  position: absolute;
  animation: cookie-loader 500ms 2480ms forwards;
  opacity: 0;
}

@keyframes retractable-text {
  0% {
    max-width: 30ch;
  }
  50% {
    max-width: 25ch;
  }
  100% {
    max-width: 20ch;
  }
}
@keyframes retractable-title {
  0% {
    max-width: 30ch;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  50% {
    max-width: 28ch;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  100% {
    max-width: 26ch;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
}
@keyframes loader {
  0% {
    opacity: 1;
  }
  99% {
    opacity: 0;
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
@keyframes open-loader {
  0% {
    transform: scale(0);
  }
  99% {
    transform: scale(40);
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes loader-title {
  0% {
    transform: scale(1);
  }
  10% {
    transform: scale(0.8);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes anim_restaurant {
  0% {
    transform: translateY(500px);
    opacity: 0;
  }
  95% {
    transform: translateY(0);
    opacity: 0.4;
  }
  100% {
    opacity: 1;
  }
}
@keyframes anim_body_restaurant {
  0% {
    margin-top: 45px;
  }
  100% {
    margin-top: 250px;
  }
}
@keyframes cookie-loader {
  0% {
    opacity: 1;
    transform: scale(0.9);
  }
  90% {
    transform: scale(1);
  }
  99% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    transform: scale(0.9);
  }
}
@keyframes bouncing-loader {
  0% {
    transform: rotate(0deg);
    transform: scale(0);
  }
  15% {
    transform: scale(1);
    transform: scale(0.9);
  }
  20% {
    transform: rotate(3deg);
    transform: scale(0.9);
  }
  25% {
    transform: rotate(3deg);
    transform: scale(0.9);
  }
  28% {
    transform: rotate(3deg);
    transform: scale(0.9);
  }
  45% {
    transform: rotate(-3deg);
  }
  50% {
    transform: rotate(-3deg);
  }
  70% {
    transform: rotate(6deg);
  }
  75% {
    transform: rotate(6deg);
  }
  100% {
    transform: rotate(0);
  }
}
* {
  margin: 0;
  padding: 0;
}

.bloc-page {
  width: 100%;
  max-height: 700px;
  box-sizing: border-box;
}

section {
  align-items: center;
  padding-bottom: 50px;
}

.self-start {
  align-self: flex-start;
}

.text-start {
  align-self: flex-start;
  text-align: left;
}

.align-center {
  align-items: center;
}

.text-center {
  text-align: center;
}

.center {
  text-align: center;
}

.box-shadow {
  box-shadow: 0px 5px 5px 1px rgba(0, 0, 0, 0.1);
}

h2 {
  text-align: start;
  margin: 50px 10px 30px;
  font-size: 1.5em;
  font-weight: bold;
}

h5 {
  font-size: 1.1em;
  margin: 5px 0;
  font-weight: 600;
}

h6 {
  font-family: "Shrikhand", cursive;
  font-weight: lighter;
  font-size: 1em;
  margin: 0 0 10px;
}

body {
  font-family: "Roboto", sans-serif;
}

a {
  color: black;
  text-decoration: none;
}

footer {
  height: 100%;
  background-color: #595959;
  padding: 30px;
  color: white;
}
footer a {
  color: white;
  font-size: 0.9em;
}
footer a i {
  margin-right: 10px;
  font-size: 1em;
}
footer ul li {
  list-style: none;
  margin-bottom: 5px;
}

.loader__cookie {
  display: flex;
  justify-content: center;
  align-items: center;
  background: #f2f2f2;
  position: fixed;
  z-index: 10;
  width: 100%;
  height: 100%;
  animation: loader 300ms 2500ms both;
  overflow: hidden;
}

.bouncing__loader {
  animation: bouncing-loader 2000ms 500ms;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.container-heart {
  position: relative;
  object-fit: cover;
  height: 30px;
  width: 30px;
  overflow: hidden;
  z-index: 3;
}
.container-heart:hover {
  cursor: pointer;
}
.container-heart:hover .square__menu {
  animation: filling 400ms 0ms both ease;
}
.container-heart:hover .empty {
  transition: opacity 200ms 150ms;
  opacity: 0;
}

.square {
  position: absolute;
  background: white;
  height: 30px;
  width: 30px;
  top: 0;
  left: 0;
}
.square__menu {
  height: 30px;
  width: 30px;
  top: 0;
  left: 0;
  position: absolute;
  background: #f2f2f2;
}

.empty {
  position: absolute;
  height: 30px;
  width: 30px;
  z-index: 1;
}

.full {
  z-index: -1;
  position: absolute;
  width: 30px;
  height: 30px;
}

@keyframes filling {
  0% {
    transform: translateY(0) rotate(0deg);
  }
  33% {
    transform: translateY(-17px) rotate(-5deg);
  }
  66% {
    transform: translateY(-34px) rotate(5deg);
  }
  100% {
    transform: translateY(-50px) rotate(0deg);
  }
}
.card {
  width: 330px;
  height: 80px;
  overflow: hidden;
  margin: 20px 0 0 0;
  border-radius: 15px;
  box-shadow: 0px 5px 5px 1px rgba(0, 0, 0, 0.1);
}
.card:hover {
  cursor: pointer;
}
.card__title {
  z-index: 99;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  display: block;
}
@media all and (min-width: 1248px) {
  .card:not(:last-child) {
    margin-right: 10px;
  }
}
.card__content {
  padding: 12px;
  width: 320px;
  background-color: white;
  border-radius: 15px;
  position: relative;
}
.card__content:hover {
  cursor: pointer;
}
.card__content:hover .card__content--text-retractable {
  animation: retractable-text 800ms ease both;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.card__content:hover .card__content--price {
  transition: transform 800ms;
  transform: translate(-85px);
}
.card__content:hover .card__title {
  animation: retractable-title 800ms ease both;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.card__content:hover .square__retractable {
  cursor: pointer;
  transition: transform 800ms;
  transform: scaleX(0);
  transform-origin: left;
}
.card__content:hover .square__retractable + .anim-check i {
  transition: transform 850ms;
  transform: translate(-10px) rotate(360deg);
}
.card__content--price {
  align-self: flex-end;
  z-index: 2;
  transition: transform 800ms -40ms;
  transform: translate(0);
  font-weight: bold;
}

.anim-check {
  display: block;
  background-color: #99E2D0;
  color: white;
  position: absolute;
  right: 0px;
  top: 0;
  padding: 30px 25px;
  border-top-right-radius: 15px;
  border-bottom-right-radius: 15px;
  height: 30px;
  width: 30px;
}
.anim-check i {
  font-size: 1.5em;
  position: absolute;
  right: 20px;
  top: 30px;
  transition: transform 800ms;
  transform: translate(100px) rotate(0deg);
}

.card__content--text-retractable {
  z-index: 2;
  max-width: 30ch;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.square__retractable {
  background-color: white;
  width: 80px;
  height: 80px;
  position: absolute;
  right: 0px;
  top: 0;
  border-top-right-radius: 15px;
  border-bottom-right-radius: 15px;
  z-index: 1;
  transition: transform 800ms, opacity 880ms 20ms;
  transform: scaleX(1);
  transform-origin: left 10%;
}

.header {
  height: 50px;
  box-shadow: 0px 5px 5px 1px rgba(0, 0, 0, 0.1);
}
.header__icon {
  display: none;
}
.header__icon--visible {
  display: block;
  position: absolute;
  left: 0;
  top: 18px;
  margin-left: 20px;
}
.header__logo {
  font-family: "Shrikhand", cursive;
}
.header__menu {
  box-shadow: 0px 5px 5px 1px rgba(0, 0, 0, 0.1);
  width: 100%;
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
  background-color: white;
}
.header__menu__box {
  width: 100%;
}
.header__menu__boxa {
  align-self: center;
}

.exploration {
  background-color: #f2f2f2;
}
.exploration__searchbar {
  width: 100%;
  background-color: #e5e5e5;
  height: 40px;
  box-shadow: inset 0px 15px 5px -15px rgba(0, 0, 0, 0.5);
}
.exploration__icon {
  width: 10px;
  height: 10px;
  color: #595959;
}
.exploration__input {
  background-color: #e5e5e5;
  font-family: "Roboto", sans-serif;
  border: 0;
  text-align: center;
  font-weight: bold;
  max-width: 35%;
  height: 40px;
  box-shadow: inset 0px 15px 5px -15px rgba(0, 0, 0, 0.5);
}
.exploration__input::placeholder {
  color: #595959;
}
.exploration h2 {
  text-align: center;
}
.exploration h3 {
  font-weight: normal;
  margin: 0 0 30px 0;
}

.btn {
  border-radius: 30px;
  color: #f2f2f2;
  padding: 20px 20px;
  background: linear-gradient(0deg, #9356DC, #FF79DA);
  margin: 15px 0 30px;
  align-self: center;
}
.btn__command {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 10px;
  width: 170px;
  border-radius: 30px;
  color: #f2f2f2;
  background: linear-gradient(0deg, #9356DC, #FF79DA);
  margin: 15px 0 30px;
  align-self: center;
}
.btn__command:hover {
  cursor: pointer;
  background: linear-gradient(0deg, #a16be0, #ff93e1);
  box-shadow: 0px 0px 13px 5px #0000002d;
}
.btn:hover {
  cursor: pointer;
  background: linear-gradient(0deg, #a16be0, #ff93e1);
  box-shadow: 0px 0px 13px 5px #0000002d;
}

.operation__content {
  align-items: center;
}
@media all and (min-width: 701px) and (max-width: 1247px) {
  .operation__content {
    flex-direction: column;
  }
}
@media all and (min-width: 1248px) {
  .operation__content {
    flex-direction: row;
  }
}
.operation__btn {
  width: 375px;
  align-items: center;
  position: relative;
  margin: 20px 0 0;
}
.operation__btn:hover {
  cursor: pointer;
}
.operation__btn p {
  position: absolute;
  left: 35px;
  border-radius: 50%;
  background-color: #9356DC;
  padding: 5px 10px;
  color: #f2f2f2;
  z-index: 1;
}
.operation__btn__content {
  height: 60px;
  width: 14rem;
  border-radius: 15px;
  align-items: center;
  background-color: #f2f2f2;
  padding: 0 30px;
  z-index: 0;
}
.operation__btn__content:hover {
  cursor: pointer;
  background-color: white;
  box-shadow: 0px 0px 13px 5px #0000002d;
}
.operation__btn__content--mod {
  height: 60px;
  width: 14rem;
  border-radius: 15px;
  align-items: center;
  padding: 0 30px;
  background-color: #f2eafb;
}
.operation__btn__content--mod:hover {
  cursor: pointer;
  background-color: white;
  box-shadow: 0px 0px 13px 5px #0000002d;
}
.operation__btn__content--mod i {
  color: #9356DC;
}
.operation__btn--mod {
  position: relative;
  align-items: center;
  width: 375px;
  margin: 20px 0 0;
}
.operation__btn--mod p {
  position: absolute;
  left: 35px;
  border-radius: 50%;
  background-color: #9356DC;
  padding: 5px 10px;
  color: #f2f2f2;
  z-index: 1;
}

article[class*=restaurant] {
  background: #f2f2f2;
  padding-bottom: 20px;
}

.body__menu {
  background-color: white;
  display: flex;
  flex-direction: column;
}

.main__bloc {
  display: flex;
  flex-direction: column;
  width: 100%;
  border-top-left-radius: 30px;
  border-top-right-radius: 30px;
  background-color: #f2f2f2;
  margin: 250px 0 0;
  z-index: 0;
  animation: anim_body_restaurant 500ms 250ms both;
  min-height: calc(100vh - 443px);
}

.content__restaurants {
  display: flex;
  flex-direction: column;
  align-items: center;
}
@media all and (min-width: 1248px) {
  .content__restaurants {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    margin-left: 0;
    align-items: flex-start;
  }
}
@media all and (min-width: 701px) and (max-width: 1247px) {
  .content__restaurants {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
}

.restaurants {
  display: flex;
  flex-direction: column;
  background: #f2f2f2;
}
@media all and (min-width: 1248px) {
  .restaurants__starter {
    margin-left: 10px;
  }
}
.restaurants__title {
  display: flex;
  justify-content: space-around;
  align-items: flex-end;
  padding: 30px;
  margin: 0 0 20px;
}
@media all and (min-width: 1248px) {
  .restaurants__title {
    justify-content: center;
  }
}
@media all and (min-width: 701px) and (max-width: 1247px) {
  .restaurants__title {
    justify-content: center;
  }
}
.restaurants__title h2 {
  margin: 0;
  padding-top: 20px;
  font-family: "Shrikhand", cursive;
}
@media all and (min-width: 1248px) {
  .restaurants__title h2 {
    margin: 0 60px 0 0;
  }
}
@media all and (min-width: 701px) and (max-width: 1247px) {
  .restaurants__title h2 {
    margin: 0 60px 0 0;
  }
}
.restaurants__banner {
  position: relative;
}
.restaurants__banner img {
  height: 275px;
  width: 100%;
  position: fixed;
  z-index: -5;
  object-fit: cover;
  top: 0;
}
@media all and (min-width: 1248px) {
  .restaurants__content {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    width: 100%;
  }
}
.restaurants__cards {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 300px;
  border-radius: 15px;
  margin: 0 0 20px;
  background-color: white;
  /* TEST ANIMATION */
  /* FIN TEST ANIMATION */
}
@media all and (min-width: 1248px) {
  .restaurants__cards:hover {
    transition: transform 200ms ease, box-shadow 200ms ease;
    cursor: pointer;
    transform: scale(1.1);
    box-shadow: 0px 0px 3px 3px #99E2D0;
    z-index: 1;
  }
  .restaurants__cards:not(:hover) {
    transition: transform 200ms;
    transform: scale(1);
    z-index: 0;
  }
}
.restaurants__cards:active {
  transition: transform 100ms;
  transform: scale(0.8);
}
.restaurants__cards--new {
  border-radius: 2px;
  font-weight: 800;
  background: #99E2D0;
  position: absolute;
  padding: 5px;
  top: 10px;
  right: 10px;
  color: #2c9c81;
}
.restaurants__cards img:not([class*=empty]):not([class*=full]) {
  object-fit: cover;
  box-sizing: border-box;
  height: 150px;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
}
.restaurants__caption {
  padding: 0 20px;
  height: 70px;
  justify-content: space-between;
  align-items: center;
  text-align: start;
}

.content__card {
  display: flex;
  flex-direction: column;
}

.restaurants__starter--subtitle .underline::after {
  content: "";
  display: block;
  width: 40px;
  background-color: #99E2D0;
  height: 2px;
  margin-top: 5px;
}

/*# sourceMappingURL=style.css.map */
